[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Making multiple-version Python packages with debhelper?

On Tue, Mar 07, 2006 at 02:50:12PM +0100, Florian Ragwitz wrote:
> > Hello, I was asked to make my python-selecting package support multiple
> > Python versions.  Does somebody know the proper way to achieve that with
> > debhelper (using dh_python in some way perhaps?), or a pointer to such
> > information?
> Take a look at the [1]rules file for python-bluetooth, prepared by
> michal@cihar.com.
> [1] http://files.perldition.org/python-bluetooth.rules

Okay, I now updated the package to build for multiple versions.  It
seems that python:Depends is clever enough that debian/control need not
be updated when the default Python version changes.  The new package is
available at:



personal contact:	panu.kalliokoski@helsinki.fi, +35841 5323835
technical contact:	atehwa@iki.fi, http://www.iki.fi/atehwa/
PGP fingerprint:	0EA5 9D33 6590 FFD4 921C  5A5F BE85 08F1 3169 70EC

Reply to: